{
  "name": "ant-design-pro",
  "version": "1.0.0",
  "private": true,
  "description": "An out-of-box UI solution for enterprise applications",
  "scripts": {
    "analyze": "cross-env ANALYZE=1 umi build",
    "build": "umi build",
    "deploy": "cross-env ANT_DESIGN_PRO_ONLY_DO_NOT_USE_IN_YOUR_PRODUCTION=site npm run site && npm run gh-pages",
    "fetch:blocks": "fetch-blocks",
    "format-imports": "import-sort --write '**/*.{js,jsx,ts,tsx}'",
    "gh-pages": "cp CNAME ./dist/ && gh-pages -d dist",
    "lint": "npm run lint:js && npm run lint:style && npm run lint:prettier",
    "lint-staged": "lint-staged",
    "lint-staged:js": "eslint --ext .js,.jsx,.ts,.tsx ",
    "lint:fix": "eslint --fix --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src && npm run lint:style",
    "lint:js": "eslint --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src",
    "lint:prettier": "check-prettier lint",
    "lint:style": "stylelint --fix \"src/**/*.less\" --syntax less",
    "prettier": "prettier -c --write **/*",
    "start": "umi dev",
    "start:no-mock": "cross-env MOCK=none umi dev",
    "test": "umi test",
    "test:all": "node ./tests/run-tests.js",
    "test:component": "umi test ./src/components"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run lint-staged"
    }
  },
  "lint-staged": {
    "**/*.less": "stylelint --syntax less",
    "**/*.{js,jsx,tsx,ts,less,md,json}": [
      "prettier --write",
      "git add"
    ],
    "**/*.{js,jsx}": "npm run lint-staged:js",
    "**/*.{js,ts,tsx}": "npm run lint-staged:js"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 10"
  ],
  "dependencies": {
    "@ant-design/pro-layout": "^4.5.9",
    "@antv/data-set": "^0.10.2",
    "@turf/bbox": "^6.0.1",
    "@turf/center": "^6.0.1",
    "@types/lodash.debounce": "^4.0.6",
    "@types/react-router": "^5.0.3",
    "antd": "^3.20.0",
    "bizcharts": "^3.5.4",
    "bizcharts-plugin-slider": "^2.1.1-beta.1",
    "classnames": "^2.2.6",
    "deck.gl": "^7.1.10",
    "dva": "^2.4.1",
    "gg-editor": "^2.0.4",
    "hash.js": "^1.1.7",
    "lodash": "^4.17.11",
    "lodash-decorators": "^6.0.1",
    "lodash.debounce": "^4.0.8",
    "memoize-one": "^5.0.4",
    "moment": "^2.24.0",
    "numeral": "^2.0.6",
    "nzh": "^1.0.4",
    "omit.js": "^1.0.2",
    "path-to-regexp": "^3.0.0",
    "prop-types": "^15.7.2",
    "qs": "^6.7.0",
    "react": "^16.8.6",
    "react-container-query": "^0.11.0",
    "react-copy-to-clipboard": "^5.0.1",
    "react-document-title": "^2.0.3",
    "react-dom": "^16.8.6",
    "react-fittext": "^1.0.0",
    "react-google-maps": "^9.4.5",
    "react-map-gl": "^5.0.4",
    "react-media": "^1.9.2",
    "react-media-hook2": "^1.0.5",
    "react-router": "^4.3.1",
    "react-virtualized": "^9.21.1",
    "react-yandex-maps": "^4.0.1",
    "recompose": "^0.30.0",
    "redux": "^4.0.1",
    "umi": "^2.8.7",
    "umi-plugin-pro-block": "^1.3.2",
    "umi-plugin-react": "^1.9.5",
    "umi-request": "^1.0.8"
  },
  "devDependencies": {
    "@ant-design/colors": "^3.1.0",
    "@types/classnames": "^2.2.7",
    "@types/history": "^4.7.2",
    "@types/jest": "^24.0.13",
    "@types/lodash": "^4.14.136",
    "@types/qs": "^6.5.3",
    "@types/react": "^16.8.19",
    "@types/react-document-title": "^2.0.3",
    "@types/react-dom": "^16.8.4",
    "@umijs/fabric": "^1.1.0",
    "chalk": "^2.4.2",
    "check-prettier": "^1.0.3",
    "cross-env": "^5.2.0",
    "cross-port-killer": "^1.1.1",
    "enzyme": "^3.9.0",
    "eslint": "^5.16.0",
    "fetch-blocks": "^1.0.0",
    "gh-pages": "^2.0.1",
    "husky": "^3.0.0",
    "import-sort-cli": "^6.0.0",
    "import-sort-parser-babylon": "^6.0.0",
    "import-sort-parser-typescript": "^6.0.0",
    "import-sort-style-module": "^6.0.0",
    "jest-puppeteer": "^4.2.0",
    "lint-staged": "^9.0.0",
    "mockjs": "^1.0.1-beta3",
    "node-fetch": "^2.6.0",
    "prettier": "^1.17.1",
    "pro-download": "1.0.1",
    "slash2": "^2.0.0",
    "stylelint": "^10.1.0",
    "umi-plugin-ga": "^1.1.3",
    "umi-plugin-pro": "^1.0.2",
    "umi-types": "^0.3.8",
    "webpack-theme-color-replacer": "^1.2.15"
  },
  "optionalDependencies": {
    "puppeteer": "^1.17.0"
  },
  "engines": {
    "node": ">=10.0.0"
  },
  "checkFiles": [
    "src/**/*.js*",
    "src/**/*.ts*",
    "src/**/*.less",
    "config/**/*.js*",
    "scripts/**/*.js"
  ]
}
